format_version: '1.0'

repository_url: https://github.com/bitcraze/crazyflie-firmware

sequence:
  base_version:
    input_file: 'dbb8feb5.zip'
    commit_sha1: dbb8feb595a96c127d3283dfbb7e8a3e3483a2f9
  fix_attempt:
    - input_file: 'ede7efef.diff'
      commit_sha1: ede7efef7c3ea0c18947b73b5ef5c595cf2fa8d9
    - input_file: 'f1011f1f.diff'
      commit_sha1: f1011f1f97f2decc61e3f35473c2e62438cf0e70
    - input_file: '1becef7c.diff'
      commit_sha1: 1becef7ca990a4c1a5d26ad4256b9e962d2b8ac4
    
  expected_fix:
    input_file: 'b50683fc.diff'
    commit_sha1: b50683fca09a794f517b0b7a280aa8d7c52d38a5

  
classification: partial fix
categories:
  - hardware and OS related

  
metadata:
  language: C
  strategy: reopen
  build_system: ['make']
  related_issue: https://github.com/bitcraze/crazyflie-firmware/issues/393
